package com.zjrs.zwnw.sxgl.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "wf_action_def_temp")
public class SxlchjPO {
    @TableId(type = IdType.ASSIGN_UUID)
    private String wfActionDefTempLsh;       //流程定义临时表流水号
    private String processDefId;       //流程id
    private String processDefName;       //流程名称
    private String actionDefId;       //环节id
    private String actionDefName;       //环节名称
    private String nextActionDefId;       //下一环节id
    private String sortno;       //排序号
    private String sfht;       //是否回退
    private String sffsdx;       //是否发短信
    private String tsCjsj;       //创建时间
    private String tsYxbz;       //有效标志，默认有效

    public String getWfActionDefTempLsh() {
        return wfActionDefTempLsh;
    }

    public void setWfActionDefTempLsh(String wfActionDefTempLsh) {
        this.wfActionDefTempLsh = wfActionDefTempLsh;
    }

    public String getProcessDefId() {
        return processDefId;
    }

    public void setProcessDefId(String processDefId) {
        this.processDefId = processDefId;
    }

    public String getProcessDefName() {
        return processDefName;
    }

    public void setProcessDefName(String processDefName) {
        this.processDefName = processDefName;
    }

    public String getActionDefId() {
        return actionDefId;
    }

    public void setActionDefId(String actionDefId) {
        this.actionDefId = actionDefId;
    }

    public String getActionDefName() {
        return actionDefName;
    }

    public void setActionDefName(String actionDefName) {
        this.actionDefName = actionDefName;
    }

    public String getNextActionDefId() {
        return nextActionDefId;
    }

    public void setNextActionDefId(String nextActionDefId) {
        this.nextActionDefId = nextActionDefId;
    }

    public String getSortno() {
        return sortno;
    }

    public void setSortno(String sortno) {
        this.sortno = sortno;
    }

    public String getSfht() {
        return sfht;
    }

    public void setSfht(String sfht) {
        this.sfht = sfht;
    }

    public String getSffsdx() {
        return sffsdx;
    }

    public void setSffsdx(String sffsdx) {
        this.sffsdx = sffsdx;
    }

    public String getTsCjsj() {
        return tsCjsj;
    }

    public void setTsCjsj(String tsCjsj) {
        this.tsCjsj = tsCjsj;
    }

    public String getTsYxbz() {
        return tsYxbz;
    }

    public void setTsYxbz(String tsYxbz) {
        this.tsYxbz = tsYxbz;
    }
}
